Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPointList.PointsListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGPointList.PointsListBuilder

All Implemented Interfaces:
  PointsHandler

Enclosing class:
  AbstractSVGPointList

    protected class AbstractSVGPointList.PointsListBuilder

extends Object
implements PointsHandler

Helper class to interface the `PointsParser` and the `PointsHandler`.

Field Summary
`protected ListHandler` | `listHandler` The `ListHandler` to pass newly created `AbstractSVGPointList.SVGPointItem` objects to.

Constructor Summary
`AbstractSVGPointList.PointsListBuilder(ListHandler listHandler)` Creates a new PointsListBuilder.

Method Summary
`void` | `endPoints()` Implements `PointsHandler.endPoints()`.
`void` | `point(float x, float y)` Implements `PointsHandler.point(float,float)`.
`void` | `startPoints()` Implements `PointsHandler.startPoints()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  The `ListHandler` to pass newly created `AbstractSVGPointList.SVGPointItem` objects to.

Constructor Detail

### AbstractSVGPointList.PointsListBuilder

    public AbstractSVGPointList.PointsListBuilder(ListHandler listHandler)

  Creates a new PointsListBuilder.

Method Detail

### startPoints

    public void startPoints()
                     throws ParseException

  Implements `PointsHandler.startPoints()`.

  Specified by:
    `startPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

### point

    public void point(float x,
                      float y)
               throws ParseException

  Implements `PointsHandler.point(float,float)`.

  Specified by:
    `point` in interface `PointsHandler`
  Parameters:
    `x` - the x coordinate of the point
    `y` - the y coordinate of the point
  Throws:
    `ParseException` - if an error occured while processing the points

### endPoints

    public void endPoints()
                   throws ParseException

  Implements `PointsHandler.endPoints()`.

  Specified by:
    `endPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.